package control

import "github.com/spf13/cobra"

var irCmd = &cobra.Command{
	Use:   "ir",
	Short: "Operations with inner ring nodes",
	Long:  "Operations with inner ring nodes",
}

func initControlIRCmd() {
	irCmd.AddCommand(tickEpochCmd)
	irCmd.AddCommand(removeNodeCmd)
	irCmd.AddCommand(irHealthCheckCmd)
	irCmd.AddCommand(removeContainerCmd)

	initControlIRTickEpochCmd()
	initControlIRRemoveNodeCmd()
	initControlIRHealthCheckCmd()
	initControlIRRemoveContainerCmd()
}
