package memstore

import "git.frostfs.info/TrueCloudLab/frostfs-node/pkg/local_object_storage/blobstor/compression"

func (s *memstoreImpl) Open(readOnly bool) error {
	s.readOnly = readOnly
	return nil
}

func (s *memstoreImpl) Init() error                              { return nil }
func (s *memstoreImpl) Close() error                             { return nil }
func (s *memstoreImpl) Type() string                             { return Type }
func (s *memstoreImpl) Path() string                             { return s.rootPath }
func (s *memstoreImpl) SetCompressor(cc *compression.Config)     { s.compression = cc }
func (s *memstoreImpl) Compressor() *compression.Config          { return s.compression }
func (s *memstoreImpl) SetReportErrorFunc(f func(string, error)) { s.reportError = f }
func (s *memstoreImpl) SetParentID(string)                       {}
